import _FullscreenImage from './_FullscreenImage.js';

var FullscreenImage = function(){
return {
view: function(vnode){
  var image = _FullscreenImage.image;
  if(image === null){
    return null;
    }
  else{
    return m('img.img-responsive.p-fixed', {
      style: 'top:0px;left:0px;',
      src: (image.thumbnail_original_id ? '/thumbnailsdb/'+image.thumbnail_original_id+'.png' : image.src_base64),
      onclick: function(){
        _FullscreenImage.image = null;
        }
      });
    }
}
};
};

export default FullscreenImage;